Subject: [PATCH V4 6/9] ARM: mxs: Provide regulator to pwm-backlight

From: [email-masked] (Marek Vasut)
Date: Tue, 19 Mar 2013 22:35:05 +0100

Dear Andrew Chew,

> > Dear Andrew Chew,
> > 
> > > The pwm-backlight driver now takes a mandatory regulator that is
> > > gotten during driver probe.  Initialize a dummy regulator to satisfy
> > > this requirement.
> > > 
> > > Signed-off-by: Andrew Chew <[email-masked]>
> > 
> > Do we really need a mandatory regulator? Why can't it be optional?
> > 
> > Best regards,
> > Marek Vasut
> 
> Because for those using board setup code (and not devicetree), it was
> not possible to distinguish between opting out of the regulator, and
> deferred probe, without adding something to the platform data that
> board setup code needed to fill in anyway.

Sure, but this adds a bit of overhead for the DT platforms, no?

Other than this curiosity, I have no problems with this stuff.

Best regards,
Marek Vasut